package com.pcloud.book.applet.mapper;

import com.pcloud.book.applet.entity.AppletThirdResourcesPic;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 第三方资源图片(AppletThirdResourcesPic)表数据库访问层
 *
 * @author makejava
 * @since 2021-03-10 17:35:18
 */
@Mapper
@Component
public interface AppletThirdResourcesPicMapper {


    /**
     * 新增数据
     *
     * @param appletThirdResourcesPic 实例对象
     * @return 影响行数
     */
    int insert(AppletThirdResourcesPic appletThirdResourcesPic);


    void batchInsert(@Param("list") List<AppletThirdResourcesPic> list);

    void deleteByThirdResourcesId(Long thirdResourcesId);

    List<String> getPicList(Long thirdResourcesId);

    List<AppletThirdResourcesPic> getPicListByResourceIds(@Param("list") List<Long> thirdResourcesId);
}